// import { GENDER, INPATIENT_SELECTION_ENUM } from '../../utils/enum';
import { getPatientList } from '../../edit-patient/service';
Component({
  props: {
    classStyleName: '' // 样式名称

  },
  data: {
    popUpOpened: false,
    // 弹出框是否显示
    title: '请选择就诊人',
    // 标题
    onAddPatient: null,
    // 添加就诊人
    onChoosePatient: null,
    // 选择就诊人
    onButtonClose: null,
    // 关闭莫态框
    popupPosition: 'bottom',
    // 弹出方向
    hospitalizationRecordList: null // 就诊人列表数据

  },

  didMount() {
    // 将当前实例赋值给父组件
    this.$page.$confirm = this; // 获取就诊人列表

    this.getPatientLists();
  },

  methods: {
    /**
     * 获取就诊人列表
     */
    async getPatientLists() {
      // 调用接口 - 获取就诊人列表
      const patientList = await getPatientList(); // 处理枚举类型数据展示 ， 性别gender ， 就诊人与本人关系characterRelationship
      // const arr = (patientList || []).map(item => ({
      //   ...item,
      //   gender: GENDER[item.gender].name || '', // 性别
      //   characterRelationship: INPATIENT_SELECTION_ENUM[item.characterRelationship].name || '', // 就诊人与本人关系
      // }));

      this.setData({
        hospitalizationRecordList: patientList
      });
    },

    /**
     * 点击关闭事件
     */
    onClose() {
      this.data.onButtonClose();
    },

    /**
     * 添加其他就诊人, 调用父组件传来的函数
     */
    onAddPatient() {
      this.data.onAddPatient();
    },

    /**
     * 选择就诊人，调用父组件传来的函数
     */
    onChoosePatient(e) {
      // 获取当前选中项信息
      const {
        target: {
          dataset: {
            info
          }
        }
      } = e;
      this.data.onChoosePatient(info);
    },

    /**
    * 打开弹出框
    * @param {*} options 父组件向弹出框传来的参数
    */
    showPopover(options) {
      this.setData({ ...options,
        popUpOpened: true
      });
    },

    /**
    * 关闭弹出框
    */
    hidePopover() {
      this.setData({
        popUpOpened: false
      });
    }

  }
});